Skip to main content
Model Repository/Model APIs
GETModel APIsSince 5.1.8SynchronousAuth Required

QueryModel

QueryModel

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • qString

    Query conditions.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • installPathStringRequired

      The model installation path.

    • parametersStringRequired

      The model parameters.

    • modelCenterUuidStringRequired

      The model center UUID.

    • logoStringRequired

      The model logo.

    • vendorStringRequired

      The model vendor.

    • modelIdStringRequired

      The model ID.

    • introductionStringRequired

      The model introduction.

    • sizeLongRequired

      The model size.

    • versionStringRequired

      The model version.

    • typeStringRequired

      The model type.

    • minGpuMemoryLongRequired

      The minimum GPU memory.

    • recommendedGpuMemoryLongRequired

      The recommended GPU memory.

    • recommendedGpuNumListRequired

      The recommended number of GPUs.

    • gpuConstraintDescriptionStringRequired

      The GPU constraint description.

    • versionSemverStringRequired

      The semantic version.

    • isLatestVersionBooleanRequired

      Whether the model is the latest version.

    • artifactChecksumStringRequired

      The artifact checksum.

    • artifactSizeBytesLongRequired

      The artifact size in bytes.

    • architectureTypeStringRequired

      The model architecture type.

    • frameworkVersionStringRequired

      The framework version.

    • requiredAcceleratorStringRequired

      The required accelerator.

    • pipelineTagStringRequired

      The pipeline tag.

    • modelServiceRefsListRequired

      The bindings between the model and model services.

    • extraGpuMemRequestLongRequired

      The extra GPU memory request.

    • SAMPLE_SIZEIntegerRequired

      The sample size.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

Endpoint

GET/zstack/v1/ai/models

/zstack/v1/ai/models

Operation ID

QueryModel

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ai/models?q=<q>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "uuid", "name": "qwen 1.5 32B", "description": "This is an example ai model", "installPath": "192.168.10.10:/ai/model_center/qwen_1.5_32B", "modelCenterUuid": "model center uuid", "extraGpuMemRequest": 2147483648, "SAMPLE_SIZE": 1000 } ] }

Change History

This API has no change history records yet.

View all change history